Subject: [Sipping] RE: Feedback on draft-elwell-sipping-redirection-reason-01.txt

From: "Elwell, John" <[email-masked]>
Date: Mon, 07 Mar 2005 13:12:18 +0000

Gonzalo,

You are kind of right. However, RFC 3326 section 1 states: "Initially, the
Reason header field defined here appears to be most useful for BYE and
CANCEL requests, but it can appear in any request within a dialog, in any
CANCEL request and in any response whose status code explicitly allows the
presence of this header field." Similar in section 2. I guess the question
is, how does a status code explicitly allow the presence of this header
field? Does it mean that other standards track RFCs would need to explicitly
state this for any status code that, when used in a response, can be
accompanied by the Reason header?

The most interesting responses would be provisional responses, 2xx and 3xx
responses.

John

> -----Original Message-----
> From: Gonzalo Camarillo [mailto:[email-masked]] 
> Sent: 04 March 2005 12:08
> To: sipping
> Cc: [email-masked]; [email-masked]; [email-masked]
> Subject: Feedback on draft-elwell-sipping-redirection-reason-01.txt
> 
> Hi,
> 
> reading the following draft
> 
> http://www.ietf.org/internet-drafts/draft-elwell-sipping-redir
ection-reason-01.txt
> 
> I have noticed that it uses Reason header fields in 
> responses. Note that
> Section 2 of RFC 3326 defines Reason as follows:
> 
>     The Reason header field MAY appear in any request within 
> a dialog, in
>     any CANCEL request and in any response whose status code 
> explicitly
>     allows the presence of this header field.
> 
> We left the inclusion of Reason in initial requests and responses for
> further study... if we finally decide that having final 
> responses carry
> a Reson header field is the way to go, we would need to update the
> definition of Reason.
> 
> Thanks,
> 
> Gonzalo
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Gonzalo Camarillo <[email-masked]>
Date: Mon, 07 Mar 2005 15:18:23 +0200

John,

we had this discussion when working on RFC 3326. Folks wanted responses 
to provide several status codes (the status code in the status line plus 
Reason header fields). The decision was to resolve the problem of Reason 
for requests, which was well understood, and leave Reason for responses 
for further study.

At that point, the use case we had in mind for responses was the 
Heterogeneous Error Response Forking Problem.

Gonzalo

-- 
Gonzalo Camarillo         Phone :  +358  9 299 33 71
Oy L M Ericsson Ab        Mobile:  +358 40 702 35 35
Telecom R&D               Fax   :  +358  9 299 30 52
FIN-02420 Jorvas          Email :  [email-masked]
Finland                   http://www.hut.fi/~gonzalo